﻿//
// BlankPage.xaml.h
// Declaration of the BlankPage.xaml class.
//

#pragma once

#include "pch.h"
#include "BlankPage.g.h"
#include <client.h>
#include <d2d1_1.h>
#include <time.h>
#include <windows.ui.xaml.media.dxinterop.h>

namespace Direct2D
{
	/// <summary>
	/// An empty page that can be used on its own or navigated to within a Frame.
	/// </summary>
	public ref class BlankPage sealed
	{
	public:
		BlankPage();

	protected:
		virtual void OnNavigatedTo(Windows::UI::Xaml::Navigation::NavigationEventArgs^ e) override;

	private:
		void CreateDXResources();
		void BeginDraw();
		void Draw();
		void EndDraw();
		void DrawPolyline();

		void CompositionTarget_Rendering(Object^ sender, Object^ e);

		Windows::UI::Xaml::Media::Imaging::SurfaceImageSource^ imageSource;
		Microsoft::WRL::ComPtr<ISurfaceImageSourceNative> nativeImageSource;

		Microsoft::WRL::ComPtr<ID2D1DeviceContext>	d2dContext;
		Microsoft::WRL::ComPtr<ID2D1SolidColorBrush> brush;
	};
}
